com.sun.grid.jgdi.configuration

## Class GEObjectImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl

- All Implemented Interfaces:
    GEObject, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    AdminHostImpl, AdvanceReservationImpl, ARAImpl, BindingImpl, CalendarImpl, CalendarQueueStateImpl, CheckpointImpl, ClusterQueueImpl, ComplexEntryImpl, ConfigurationElementImpl, ConfigurationImpl, EventClientImpl, EventImpl, EventSubcribtionImpl, ExecHostImpl, FPETImpl, HostgroupImpl, JGDIAnswerImpl, JGImpl, JobImpl, JobReferenceImpl, JobSchedulingInfoImpl, JobSchedulingMessageImpl, JobTaskImpl, MailReceiverImpl, ManagerImpl, OperatorImpl, ParallelEnvironmentImpl, PathAliasImpl, PathNameImpl, PETaskImpl, ProjectImpl, QueueInstanceImpl, QueueInstanceMessageImpl, RangeImpl, ResourceDiagramEntryImpl, ResourceQuotaRuleFilterImpl, ResourceQuotaRuleImpl, ResourceQuotaRuleLimitImpl, ResourceQuotaSetImpl, ResourceUtilizationImpl, SchedConfImpl, ShareTreeImpl, SubmitHostImpl, SubordinateImpl, ULNGImpl, UserImpl, UserSetImpl

      public abstract class GEObjectImpl
      extends java.lang.Object
      implements java.io.Serializable, GEObject, java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GEObjectImpl()`
    `GEObjectImpl(GEObjectImpl parent)` Creates a new instance of GEObjectImpl
    `GEObjectImpl(GEObjectImpl parent, java.lang.String name)`
    `GEObjectImpl(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Getter for property name.
    `GEObject` | `getParent()` Getter for property parent.
    `java.lang.String` | `getPathName()`
    `GEObjectImpl` | `getRoot()`
    `void` | `setName(java.lang.String name)` Setter for property name.
    `void` | `setParent(GEObjectImpl parent)` Setter for property parent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely`

- - ### Constructor Detail

    - #### GEObjectImpl

          public GEObjectImpl()

    - #### GEObjectImpl

          public GEObjectImpl(java.lang.String name)

    - #### GEObjectImpl

          public GEObjectImpl(GEObjectImpl parent)

      Creates a new instance of GEObjectImpl

    - #### GEObjectImpl

          public GEObjectImpl(GEObjectImpl parent,
                              java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Getter for property name.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        Value of property name.

    - #### setName

          public void setName(java.lang.String name)

      Setter for property name.
      Parameters:
        `name` - New value of property name.

    - #### getParent

          public GEObject getParent()

      Getter for property parent.
      Specified by:
        `getParent` in interface `GEObject`
      Returns:
        Value of property parent.

    - #### setParent

          public void setParent(GEObjectImpl parent)

      Setter for property parent.
      Parameters:
        `parent` - New value of property parent.

    - #### getPathName

          public java.lang.String getPathName()

    - #### getRoot

          public GEObjectImpl getRoot()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.